/// <reference path="./typings/zim/index.d.ts" />

// This version uses globals - good for stand-alone ZIM / CreateJS

const scaling:string = FIT; // fit scales to fit the browser window while keeping the aspect ratio
const width:number = 1024; // can go higher...
const height:number = 768;
const color:string = green;
const outerColor:string = dark;

new Frame(scaling, width, height, color, outerColor, ready); // see docs for more options and info
function ready() {
	zog("ready from ZIM Frame");

	// put your code here (you can delete this code)
	
	const button:Button = new Button(140, 60, "ZIM")
		.center()
		.animate({props:{alpha:0}, from:true})

	button.on("click", function() { // on() is like addEventListener()
		zgo("http://zimjs.com/frame.html"); // or relative URL, target is available too
	});


} // end of ready
